// • ▌ ▄ ·.  ▄▄▄·  ▄▄ • ▪   ▄▄· ▄▄▄▄·  ▄▄▄·  ▐▄▄▄  ▄▄▄ .
// ·██ ▐███▪▐█ ▀█ ▐█ ▀ ▪██ ▐█ ▌▪▐█ ▀█▪▐█ ▀█ •█▌ ▐█▐▌·
// ▐█ ▌▐▌▐█·▄█▀▀█ ▄█ ▀█▄▐█·██ ▄▄▐█▀▀█▄▄█▀▀█ ▐█▐ ▐▌▐▀▀▀
// ██ ██▌▐█▌▐█ ▪▐▌▐█▄▪▐█▐█▌▐███▌██▄▪▐█▐█ ▪▐▌██▐ █▌▐█▄▄▌
// ▀▀  █▪▀▀▀ ▀  ▀ ·▀▀▀▀ ▀▀▀·▀▀▀ ·▀▀▀▀  ▀  ▀ ▀▀  █▪ ▀▀▀
//      Magicbane Emulator Project © 2013 - 2024
//                www.magicbane.com

package engine.wpak.data;

import engine.mbEnums;

import java.util.ArrayList;

public class PowerAction {

    // Header values

    public String action_id;
    public String action_type;
    public ArrayList<Effect> effects = new ArrayList<>();
    public int petLevel;
    public int petRace;
    public StatTransfer statTransfer;
    public int levelCap;
    public mbEnums.CompoundCurveType levelCurve;
    public TrackEntry trackEntry;

    // Additional variables after header go here.

    public ArrayList<Integer> bodyparts = new ArrayList<>();
    public ArrayList<Integer> femaleBodyParts = new ArrayList<>();
    public boolean shouldShowWeapons = false;
    public boolean shouldShowArmor = false;
    public boolean bladeTrails = false;
    public boolean isResistible = false;
    public ArrayList<Float> scaleFactor = new ArrayList<>();
    public ArrayList<Integer> attackAnimations = new ArrayList<>();
    public boolean isAggressive;
    public mbEnums.DamageType damageType;
    public boolean applyEffectBlank = false;
    public boolean wearOffEffectBlank = false;
    public boolean removeAll = false;
    public boolean clearAggro = false;
    public boolean targetBecomesPet = false;
    public boolean destroyOldPet = false;
    public mbEnums.ItemFlags itemFlag;
    public mbEnums.MobBehaviourType rootFsmID;
    public int splashDamageMin;
    public int splashDamageMax;


}
